Threaded View

  1. #1
    Sencha User
    Join Date
    Sep 2012
    Posts
    38
    Answers
    1
    Vote Rating
    0
    mhousser is on a distinguished road

      0  

    Default Answered: PhoneGap Build produces broken app after upgrading from ST 2.0.1 to ST 2.1.

    Answered: PhoneGap Build produces broken app after upgrading from ST 2.0.1 to ST 2.1.


    I have been using PhoneGap Build (PGB), Sencha Architect 2 and ST 2.0.1 for many months now. Everything was going smoothly. As per PhoneGap Build's documentation, the following line is required in index.html in order to include the PhoneGap library that their Build service automatically injects:

    <script src="phonegap.js"></script>

    After telling Sencha Architect to upgrade my project to ST 2.1, however, the app that PGB produces is just a broken white screen - after the loading screen is finished.

    One thing I notice: if I remove the include line above from the index.html file, the app now works - however I am no longer including phonegap.js as PGB tells me I need to do.

    So: something about ST 2.1 has broken my ability to use PGB as per their documentation. I call this a bug, as upgrading to 2.0.1 -> 2.1 should not have broken PGB's ability to generate an app for me.

  2. I actually don't have an edited debug-all, I edited my non-debug .js.. here it is anyway; it has all Ext.device.* blocks removed.Attachment 40197